Skip to main content
GET
List a cursor page of payouts for the given business

Path Parameters

id
string
required

The identifier of the business to list payouts for. The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Query Parameters

date
string

Limit payouts based on this date range. A date range, supporting inclusive or exclusive endpoints. Dates ranges use dates expressed in YYYY-MM-DD RFC 3339 date format. The value may have the following forms:

  • YYYY-MM-DD match the date exactly; equivalent to matching dates in the range [YYYY-MM-DD,YYYY-MM-DD]
  • [YYYY-MM-DD,YYYY-MM-DD] between two dates, inclusive of the endpoints
  • (YYYY-MM-DD,YYYY-MM-DD) between two dates, exclusive of the endpoints
  • [YYYY-MM-DD,] on or after the date
  • (YYYY-MM-DD,) after the date
  • [,YYYY-MM-DD] before or on the date
  • (,YYYY-MM-DD) before the date

Examples:

  • '2022-05-19'
  • '[2022-05-01,2022-05-31]'
  • '[2022-05-01,2022-06-01)'
  • '[2022-05-19,]'
  • '(2022-05-19,)'
  • '[,2022-05-19]'
  • '(,2022-05-19)'.
Maximum string length: 24
Pattern: ^(\d{4}-\d{2}-\d{2}|[\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]])$
state
enum<string>[]

Limit payouts to the given payout states.

The processing state for a payout.

Available options:
pending,
paid,
failed,
canceled
method
enum<string>

Limit payouts to the given payout methods. The method used for the payout. Standard typically means T+2 days through ACH batch processing. Instant expediates payments for an additional processing fee. Instant payouts be be limited based on availability and other factors.

Available options:
standard,
instant
pageSize
integer<int16>
default:20

The maximum number of results to return. Defaults to 20.

Required range: 1 <= x <= 100
pageToken
string

Opaque cursor from a previous response's nextPageToken. When omitted, returns the first page.

Response

Ok. The operation succeeded.

A cursor page of payouts.

items
object[]
required
pageSize
integer<int16>
required

The maximum number of results requested for this cursor page.

Required range: x >= 1
nextPageToken
string

Opaque token for the next page of results. Omitted on the final page.